#
# spec file
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define service refresh_patches

Name:           obs-service-%{service}
Version:        0.3.9+git.1625238904.d59f20e
Release:        2.11
Summary:        An OBS source service: Refreshs local patches
%if 0%{?mageia}
# Careful: Don't run the spec-cleaner service on this one (osc commit --noservice)
License:        ASL 2.0
Group:          Development/Tools
%else
License:        Apache-2.0
Group:          Development/Tools/Building
%endif
URL:            https://github.com/openSUSE/obs-service-%{service}
Source:         %{name}-%{version}.tar.gz
BuildRequires:  python3
Requires:       python3
Requires:       quilt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

It refreshes locals patches by using quilt.

%prep
%setup -q
# fix rpmlint error for script interpreter lines
sed -i '1 s/env python.*/python3/' refresh_patches

%build

%install
mkdir -p %{buildroot}%{_prefix}/lib/obs/service
install -m 0755 refresh_patches %{buildroot}%{_prefix}/lib/obs/service
install -m 0644 refresh_patches.service %{buildroot}%{_prefix}/lib/obs/service
%if 0%{?_licensedir:%{?suse_version} < 1500}
mkdir -p %{buildroot}%{_datadir}/licenses
%endif

%check
# check the script interpreter line and imports
./refresh_patches -h

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service
%{!?_licensedir:%global license %%doc}
%license LICENSE-2.0
%if 0%{?_licensedir:%{?suse_version} < 1500}
%dir %{_datadir}/licenses
%endif

%changelog
* Sat Aug 28 2021 Ben Greiner <code@bnavigator.de>
- Require python3 instead of python, which is python2
  * See last commit. We do not want to pull in obsolete python2
  * This removes compatibility with SLE 11, RHEL7 and older
- Work around older rpm versions in older distributions
* Fri Jul  2 2021 bwiedemann@suse.com
- Update to version 0.3.9+git.1625238904.d59f20e:
  * Switch to python3
  * add license file
* Mon Jun 21 2021 Atilla ÖNTAŞ <tarakbumba@gmail.com>
- Fix Group and License tags for Mageia packages
* Mon Sep 17 2018 bwiedemann@suse.com
- Update to version 0.3.9+git.1537184752.d624424:
  * Avoid parsing shell output (boo#1108189, CVE-2018-12477)
* Thu Mar  6 2014 speilicke@suse.com
- Update to version 0.3.9+git.1394121974.21d4106:
  + Fix dropped_patches
* Mon Feb 17 2014 speilicke@suse.com
- Update to version 0.3.8+git.1392653668.565b745:
  + Remove patches only after processing all specs
* Wed Feb 12 2014 speilicke@suse.com
- Update to version 0.3.7+git.1392213832.12f52e6:
  + Disable positive notifications (be more quiet)
  + Don't create entry for no changes
* Mon Feb 10 2014 speilicke@suse.com
- Update to version 0.3.6+git.1392041308.272e6ab:
  + Adjust changes message for refreshed patches
* Fri Jan 17 2014 speilicke@suse.com
- Update to version 0.3.6+git.1389964042.5343549:
  + Introduce "--ignorefuzz" argument
* Tue Dec 10 2013 speilicke@suse.com
- Update to version 0.3.5+git.1386667973.d5e8213:
  + Rework fuzz detection
  + Pass --fuzz=0 to "quilt setup"
  + Do not list twice patches in .changes entry
  + Switch to C locale to avoid parsing localized output
* Mon Dec  9 2013 speilicke@suse.com
- Update to version 0.3.4.1+git.1386598065.93569e2:
  + Support quilt on SLE_11
* Mon Dec  9 2013 speilicke@suse.com
- Update to version 0.3.4+git.1386595051.c3f87d4:
  + Fix %%pre section patch regex
* Tue Nov 26 2013 speilicke@suse.com
- Update to version 0.3.3+git.1385473723.13c63f4:
  + Whitespaces handling in OSCRC_EMAIL regexp
* Tue Nov 26 2013 speilicke@suse.com
- Update to version 0.3.2+git.1385463523.dfec30c:
  + Exit early in case of errorsFix default changesauthor
* Mon Nov 18 2013 speilicke@suse.com
- Require python
* Thu Nov 14 2013 speilicke@suse.com
- Update to version 0.3.1+git.1384442162.3a0e42a:
  + Kill semicolonMore robust untarred directory finding
  + Also refresh patches applying with fuzz
  + Quilt unpacked tarball name can have arbitatry name
  + Better abort criteria
  + Always remove untarred dir
  + Implement dropping patches
  + Use compiled regular expressions
  + Remove dropped patches from specfile
* Mon Nov 11 2013 speilicke@suse.com
- Update to version 0.2+git.1383925560.c99dd8e:
  + Done implementing base logicGenerate *.changes file entries
  + Avoid writing the same changes twice
  + Kill semicolon
* Fri Nov  8 2013 speilicke@suse.com
- Update to version 0.2+git.1383921307.c464e65:
  + Done implementing base logicGenerate *.changes file entries
  + Avoid writing the same changes twice
* Fri Nov  8 2013 speilicke@suse.com
- Initial version
